---
title: update-a-check-run
product: vercel
url: /docs/rest-api/checks-v2/update-a-check-run
canonical_url: "https://vercel.com/docs/rest-api/checks-v2/update-a-check-run"
last_updated: 2026-09-16
type: reference
prerequisites:
  []
related:
  - /docs/rest-api
summary: Learn about update-a-check-run on Vercel.
install_vercel_plugin: npx plugins add vercel/vercel-plugin
---

# Update a check run

```http
PATCH /v2/deployments/{deploymentId}/check-runs/{checkRunId}
```

Update an existing check run for a deployment.

## Authentication

**bearerToken**: HTTP bearer

## Path parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `deploymentId` | string | Yes |  |
| `checkRunId` | string | Yes |  |


## Query parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `teamId` | string | No | The Team identifier to perform the request on behalf of. |
| `slug` | string | No | The Team slug to perform the request on behalf of. |


## Request body

Required: No

Content-Type: `application/json`

```json
{
  "type": "object",
  "properties": {
    "externalId": {
      "type": "string"
    },
    "externalUrl": {
      "type": "string",
      "format": "uri",
      "pattern": "^https?://|^sso:"
    },
    "status": {
      "type": "string",
      "enum": [
        "queued",
        "running",
        "completed"
      ]
    },
    "output": {
      "type": "object"
    },
    "completedAt": {
      "type": "number"
    },
    "conclusion": {
      "type": "string",
      "enum": [
        "canceled",
        "skipped",
        "timeout",
        "failed",
        "neutral",
        "succeeded"
      ]
    },
    "conclusionText": {
      "type": "string"
    }
  }
}
```

## Example request

### TypeScript

```typescript
const response = await fetch('https://api.vercel.com/v2/deployments/deploymentId/check-runs/checkRunId?teamId=string&slug=string', {
  method: 'PATCH',
  headers: {
    'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({
    "externalId": "example_id",
    "externalUrl": "https://example.com",
    "status": "queued",
    "output": "value",
    "completedAt": "123",
    "conclusion": "canceled",
    "conclusionText": "string"
  }),
});

const data = await response.json();
console.log(data);
```

### Next.js

```typescript
'use server';

export async function callEndpoint() {
  const response = await fetch('https://api.vercel.com/v2/deployments/deploymentId/check-runs/checkRunId?teamId=string&slug=string', {
    method: 'PATCH',
    headers: {
      'Authorization': `Bearer ${process.env.VERCEL_ACCESS_TOKEN}`,
      'Content-Type': 'application/json',
    },
    body: JSON.stringify({
      "externalId": "example_id",
      "externalUrl": "https://example.com",
      "status": "queued",
      "output": "value",
      "completedAt": "123",
      "conclusion": "canceled",
      "conclusionText": "string"
    }),
    next: { revalidate: 3600 }
  });

  if (!response.ok) {
    throw new Error('Request failed');
  }

  return response.json();
}
```

### cURL

```bash
curl -X PATCH 'https://api.vercel.com/v2/deployments/deploymentId/check-runs/checkRunId?teamId=string&slug=string' \
  -H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
  -H 'Content-Type: application/json' \
  -d "{
    \"externalId\": \"example_id\",
    \"externalUrl\": \"https://example.com\",
    \"status\": \"queued\",
    \"output\": \"value\",
    \"completedAt\": \"123\",
    \"conclusion\": \"canceled\",
    \"conclusionText\": \"string\"
  }"
```

## Example response

```json
{
  "blocks": "build-start",
  "completedAt": "123",
  "conclusion": "canceled",
  "conclusionText": "string",
  "createdAt": "123",
  "deploymentId": "example_id",
  "externalId": "example_id",
  "externalUrl": "https://example.com",
  "id": "icfg_1234567890",
  "name": "Example Name",
  "output": "value",
  "ownerId": "example_id",
  "projectId": "example_id",
  "requires": "build-ready",
  "status": "completed",
  "targets": [],
  "timeout": "123",
  "updatedAt": "123",
  "checkId": "example_id",
  "source": {
    "externalResourceId": "example_id",
    "integrationConfigurationId": "example_id",
    "integrationId": "example_id",
    "kind": "integration",
    "resourceId": "example_id"
  }
}
```

## Responses

### 200: No description

Content-Type: `application/json`

```json
{
  "oneOf": [
    {
      "type": "object",
      "description": "Check run backed by a project-level `check` definition.",
      "required": [
        "checkId",
        "createdAt",
        "deploymentId",
        "id",
        "name",
        "ownerId",
        "source",
        "status",
        "timeout",
        "updatedAt"
      ],
      "properties": {
        "blocks": {
          "type": "string",
          "enum": [
            "build-start",
            "deployment-alias",
            "deployment-promotion",
            "deployment-start",
            "none"
          ]
        },
        "completedAt": {
          "type": "number"
        },
        "conclusion": {
          "type": "string",
          "enum": [
            "canceled",
            "failed",
            "neutral",
            "skipped",
            "succeeded",
            "timeout"
          ]
        },
        "conclusionText": {
          "type": "string"
        },
        "createdAt": {
          "type": "number"
        },
        "deploymentId": {
          "type": "string"
        },
        "externalId": {
          "type": "string"
        },
        "externalUrl": {
          "type": "string"
        },
        "id": {
          "type": "string"
        },
        "name": {
          "type": "string"
        },
        "output": {
          "type": "object",
          "additionalProperties": true
        },
        "ownerId": {
          "type": "string"
        },
        "projectId": {
          "type": "string"
        },
        "requires": {
          "type": "string",
          "enum": [
            "build-ready",
            "deployment-url",
            "none"
          ]
        },
        "status": {
          "type": "string",
          "enum": [
            "completed",
            "queued",
            "running"
          ]
        },
        "targets": {
          "type": "array",
          "items": {
            "type": "string"
          }
        },
        "timeout": {
          "type": "number"
        },
        "updatedAt": {
          "type": "number"
        },
        "checkId": {
          "type": "string"
        },
        "source": {
          "oneOf": [
            {
              "type": "object",
              "required": [
                "integrationConfigurationId",
                "integrationId",
                "kind"
              ]
            },
            {
              "type": "object",
              "required": [
                "kind"
              ]
            },
            {
              "type": "object",
              "required": [
                "externalCheckName",
                "kind",
                "provider"
              ]
            },
            {
              "type": "object",
              "description": "Native Vercel checks — check definition and check run `source`."
            }
          ]
        }
      }
    },
    {
      "type": "object",
      "description": "Vercel CI check run without a parent `check` (no `checkId` field).",
      "required": [
        "createdAt",
        "deploymentId",
        "id",
        "name",
        "ownerId",
        "source",
        "status",
        "timeout",
        "updatedAt"
      ],
      "properties": {
        "blocks": {
          "type": "string",
          "enum": [
            "build-start",
            "deployment-alias",
            "deployment-promotion",
            "deployment-start",
            "none"
          ]
        },
        "completedAt": {
          "type": "number"
        },
        "conclusion": {
          "type": "string",
          "enum": [
            "canceled",
            "failed",
            "neutral",
            "skipped",
            "succeeded",
            "timeout"
          ]
        },
        "conclusionText": {
          "type": "string"
        },
        "createdAt": {
          "type": "number"
        },
        "deploymentId": {
          "type": "string"
        },
        "externalId": {
          "type": "string"
        },
        "externalUrl": {
          "type": "string"
        },
        "id": {
          "type": "string"
        },
        "name": {
          "type": "string"
        },
        "output": {
          "type": "object",
          "additionalProperties": true
        },
        "ownerId": {
          "type": "string"
        },
        "projectId": {
          "type": "string"
        },
        "requires": {
          "type": "string",
          "enum": [
            "build-ready",
            "deployment-url",
            "none"
          ]
        },
        "status": {
          "type": "string",
          "enum": [
            "completed",
            "queued",
            "running"
          ]
        },
        "targets": {
          "type": "array",
          "items": {
            "type": "string"
          }
        },
        "timeout": {
          "type": "number"
        },
        "updatedAt": {
          "type": "number"
        },
        "source": {
          "oneOf": [
            {
              "type": "object",
              "description": "Config-driven CI task — check run `source` only (no parent check).",
              "required": [
                "invocationId",
                "jobDefinitionId",
                "origin",
                "subKind"
              ]
            },
            {
              "type": "object",
              "description": "CI sentinel — check run `source` only (no parent check).",
              "required": [
                "origin",
                "subKind"
              ]
            }
          ]
        }
      }
    }
  ]
}
```

### 400: One of the provided values in the request body is invalid.
One of the provided values in the request query is invalid.

### 401: The request is not authorized.

### 403: You do not have permission to access this resource.

### 410: No description

### 413: The output provided is too large

### 500: No description

---

## Related

- [checks-v2 endpoints](/docs/rest-api#checks-v2)

- [REST API overview](/docs/rest-api)

- [OpenAPI spec](https://openapi.vercel.sh/) (machine-readable, all endpoints)

---

[View full sitemap](/docs/sitemap)
